Skip to main content

Verification (v1.1.0)

Download OpenAPI specification:Download

Jorge Garduño: jorge@gendra.dev URL: https://remtools.io License: Apache 2.0

Servicios combinados: API de verificación de RFC consultando la base de datos oficial del SAT para validar vigencia y datos asociados | API de verificación de CURP consultando la base de datos oficial del RENAPO para validar vigencia y datos asociados | API de validación de credenciales de elector (INE) consultando la lista nominal del INE para verificar vigencia y datos asociados

Webhooks

Webhook for receiving CFDI information asynchronously Webhook

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
success
boolean
object

Request samples

Content type
application/json
{
  • "success": true,
  • "result": {
    }
}

Webhook for receiving CURP information asynchronously Webhook

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
success
boolean
Array of objects

Request samples

Content type
application/json
{
  • "success": true,
  • "result": [
    ]
}

Recibe los resultados de la validacion de INE Webhook

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
valid
boolean

Indica si la credencial es valida

messages
Array of strings
expired
boolean

Indica si la credencial esta vencida

court_order
boolean

Indica si la credencial tiene una orden de un juez

incorrect_data
boolean

Indica si la credencial tiene datos incorrectos

cic
string

Clave de identificación de ciudadano

elector_key
string <= 18 characters

Clave de elector

ocr
string

Numero OCR de la credencial

registered_at
string <= 4 characters

Año de registro

emission_at
string <= 4 characters

Año de emision

federal_district
string <= 3 characters

Distrito federal

local_district
string <= 3 characters

Distrito local

emission_number
string <= 2 characters

Numero de emision

Responses

Request samples

Content type
application/json
{
  • "valid": true,
  • "messages": [
    ],
  • "expired": false,
  • "court_order": false,
  • "incorrect_data": false,
  • "cic": "189082445",
  • "elector_key": "FRJMER94122309H903",
  • "ocr": "4102023451456",
  • "registered_at": "2016",
  • "emission_at": "2021",
  • "federal_district": "01",
  • "local_district": "01",
  • "emission_number": "01"
}

Recibe los errores de la validacion de INE Webhook

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
valid
boolean

Indica si la credencial es valida

error
string

Mensaje de error

Responses

Request samples

Content type
application/json
{
  • "valid": false,
  • "error": "INE website under maintenance"
}

CURP

Get CURP information

Get CURP information from the official government website.

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
curp
required
string

The CURP to search

callbackUrl
string

The URL to send the response, if not provided the response will be sent synchronously

Responses

Request samples

Content type
application/json
{}

Response samples

Content type
application/json
{
  • "success": true,
  • "result": [
    ]
}

Obtener información de la CURP

Tomando en cuenta la CURP proporcionada, se obtiene la información de la persona registrada en la base de datos de RENAPO

Authorizations:
ApiKeyAuth
Request Body schema: application/json

CURP data

curp
required
string = 18 characters

Responses

Request samples

Content type
application/json
{
  • "curp": "XXXX910225XXXXXX09"
}

Response samples

Content type
application/json
{
  • "result": {
    },
  • "success": true
}

Obtener la CURP de una persona a partir de sus datos personales

En base a los datos proporcionados de una persona, se obtiene la CURP correspondiente de la base de datos de RENAPO

Authorizations:
ApiKeyAuth
Request Body schema: application/json

Información para obtener la CURP

birth_date
required
string <date>

Date format YYYY-MM-DD

birth_federal_entity
required
string
Enum: "AS" "BC" "BS" "CC" "CL" "CM" "CS" "CH" "DF" "DG" "GT" "GR" "HG" "JC" "MC" "MN" "MS" "NT" "NL" "OC" "PL" "QT" "QR" "SP" "SL" "SR" "TC" "TS" "TL" "VZ" "YN" "ZS"
first_last_name
required
string
gender
required
string
Enum: "H" "M" "X"
name
required
string
second_last_name
required
string

Responses

Request samples

Content type
application/json
{
  • "birth_date": "1990-01-01",
  • "birth_federal_entity": "AS",
  • "first_last_name": "Doe",
  • "gender": "H",
  • "name": "John",
  • "second_last_name": "Smith"
}

Response samples

Content type
application/json
{
  • "result": {
    },
  • "success": true
}

RFC

Get RFC information

Get RFC information from the official government website.

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
rfc
required
string

The RFC to search

name
string

The name of the person or company required with the postal code

postal_code
string

The postal code of the person or company required with the name

Responses

Request samples

Content type
application/json
{
  • "rfc": "EKM1404018J1",
  • "name": "Eduardo",
  • "postal_code": "12345"
}

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "result": {
    }
}

Reverse RFC information

Reverse RFC information from the official government website.

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
name
required
string

The name of the person or company

first_last_name
string

The first last name of the person, required for physical person

second_last_name
string

The second last name of the person, required for physical person

birth_date
required
string

The birth date of the person

person_type
required
string
Enum: "PF" "PM"

The person type, PF for physical person and PM for moral person

postal_code
string

The postal code of the person or company, when provided with the name it will validate the RFC against the postal code

Responses

Request samples

Content type
application/json
{
  • "name": "Margarita Gomez Velazquez",
  • "first_last_name": "Gomez",
  • "second_last_name": "Velazquez",
  • "birth_date": "1980-07-05",
  • "person_type": "PF",
  • "postal_code": "12345"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "result": {
    }
}

Reverse RFC and CURP information

Reverse RFC and CURP information from the official government website.

Authorizations:
api_keyapiKeyAuth
Request Body schema: application/json
curp
required
string

The CURP of the person

Responses

Request samples

Content type
application/json
{
  • "curp": "GOVM800705MCLMLR01"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "result": {
    }
}

CFDI

Get CFDI information

Get CFDI information from the official government website.

Authorizations:
api_keyapiKeyAuth
Request Body schema:
document
string <binary>

PDF file containing the CFDI with QR code

callback_url
string

Optional callback URL for async processing

Responses

Request samples

Content type
No sample

Response samples

Content type
application/json
{
  • "success": true,
  • "result": {
    }
}

INE

Valida un INE

Authorizations:
api_keyapiKeyAuth
query Parameters
webhook
required
string
Request Body schema: application/json
cic
required
string

requerido para los tipos D y EFGH

ocr
required
string
elector_key
string <= 18 characters
emission_number
string <= 2 characters

Responses

Request samples

Content type
application/json
{
  • "cic": "189082445",
  • "ocr": "4102023451456",
  • "elector_key": "FRJMER94122309H903",
  • "emission_number": "01"
}

Response samples

Content type
application/json
{
  • "webhook_uuid": "11ea1db3-664d-49f3-abdc-610b3b1ff546",
  • "timestamp": 1647643650116
}
rem

JOIN US ON

facebooktwitterLinkedIn
CONTACThello@rem.tools55-91-03-80-54
© Copyright rem 2022 All rights reserved.